<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: init/facnb.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_f813120d4be15aaed9e35a3518d2a85e.html">init</a>
  </div>
</div>
<div class="contents">
<h1>facnb.c File Reference</h1><code>#include &quot;<a class="el" href="init_8h_source.html">init.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="util_8h_source.html">util/util.h</a>&quot;</code><br/>
<code>#include &lt;stdlib.h&gt;</code><br/>
<div class="dynheader">
Include dependency graph for facnb.c:</div>
<div class="dynsection">
<div class="center"><img src="facnb_8c__incl.png" border="0" usemap="#init_2facnb_8c_map" alt=""/></div>
<map name="init_2facnb_8c_map" id="init_2facnb_8c">
<area shape="rect" id="node3" href="init_8h.html" title="init.h" alt="" coords="135,86,185,117"/><area shape="rect" id="node15" href="util_8h.html" title="util/util.h" alt="" coords="209,86,279,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="facnb_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="facnb_8c.html#aca1b29888c9336db98e1924813a45f90">USEQSORT</a></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="facnb_8c.html#a080f2d81423b15d9aa4263dad5703865">CompareFaces</a> (const void *v1, const void *v2)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="facnb_8c.html#ab880c52c1f93378088ef1e53763aa916">FacNB</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="facnb_8c.html#aae3b5f9e645a30cf7e75ffde9302c9c4">facvert</a></td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="aca1b29888c9336db98e1924813a45f90"></a><!-- doxytag: member="facnb.c::USEQSORT" ref="aca1b29888c9336db98e1924813a45f90" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define USEQSORT</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="facnb_8c_source.html#l00030">30</a> of file <a class="el" href="facnb_8c_source.html">facnb.c</a>.</p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a080f2d81423b15d9aa4263dad5703865"></a><!-- doxytag: member="facnb.c::CompareFaces" ref="a080f2d81423b15d9aa4263dad5703865" args="(const void *v1, const void *v2)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int CompareFaces </td>
          <td>(</td>
          <td class="paramtype">const void *&nbsp;</td>
          <td class="paramname"> <em>v1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const void *&nbsp;</td>
          <td class="paramname"> <em>v2</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="facnb_8c_source.html#l00036">36</a> of file <a class="el" href="facnb_8c_source.html">facnb.c</a>.</p>

<p>References <a class="el" href="facnb_8c_source.html#l00034">facvert</a>, and <a class="el" href="griddata_8h_source.html#l00096">NN</a>.</p>

<p>Referenced by <a class="el" href="facnb_8c_source.html#l00055">FacNB()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="facnb_8c_a080f2d81423b15d9aa4263dad5703865_icgraph.png" border="0" usemap="#facnb_8c_a080f2d81423b15d9aa4263dad5703865_icgraph_map" alt=""></div>
<map name="facnb_8c_a080f2d81423b15d9aa4263dad5703865_icgraph_map" id="facnb_8c_a080f2d81423b15d9aa4263dad5703865_icgraph">
<area shape="rect" id="node3" href="init_8h.html#ab880c52c1f93378088ef1e53763aa916" title="FacNB" alt="" coords="167,5,228,35"/><area shape="rect" id="node5" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="279,5,337,35"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="387,5,437,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ab880c52c1f93378088ef1e53763aa916"></a><!-- doxytag: member="facnb.c::FacNB" ref="ab880c52c1f93378088ef1e53763aa916" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int FacNB </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="facnb_8c_source.html#l00055">55</a> of file <a class="el" href="facnb_8c_source.html">facnb.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00214">GridData::bndfacvert</a>, <a class="el" href="griddata_8h_source.html#l00104">C_BND</a>, <a class="el" href="griddata_8h_source.html#l00105">C_INT</a>, <a class="el" href="griddata_8h_source.html#l00106">C_UNK</a>, <a class="el" href="facnb_8c_source.html#l00036">CompareFaces()</a>, <a class="el" href="griddata_8h_source.html#l00188">GridData::elevert</a>, <a class="el" href="facnb_8c_source.html#l00034">facvert</a>, <a class="el" href="griddata_8h_source.html#l00212">GridData::ln_bnd_fac</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="mesh2dual_8c_source.html#l00320">Mesh2Dual()</a>, <a class="el" href="griddata_8h_source.html#l00211">GridData::n_bnd_fac</a>, <a class="el" href="griddata_8h_source.html#l00165">GridData::n_ele</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00210">GridData::n_vert_bnd</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00095">NF</a>, <a class="el" href="griddata_8h_source.html#l00096">NN</a>, <a class="el" href="griddata_8h_source.html#l00094">NV</a>, <a class="el" href="progressbar_8c_source.html#l00029">ProgressBar()</a>, <a class="el" href="tettri_8c_source.html#l00072">tetnb()</a>, <a class="el" href="tettri_8c_source.html#l00055">tetvol()</a>, <a class="el" href="griddata_8h_source.html#l00213">GridData::vertbndg2bnd</a>, and <a class="el" href="griddata_8h_source.html#l00178">GridData::vertxyz</a>.</p>

<p>Referenced by <a class="el" href="serinit_8c_source.html#l00034">SerInit()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="facnb_8c_ab880c52c1f93378088ef1e53763aa916_cgraph.png" border="0" usemap="#facnb_8c_ab880c52c1f93378088ef1e53763aa916_cgraph_map" alt=""></div>
<map name="facnb_8c_ab880c52c1f93378088ef1e53763aa916_cgraph_map" id="facnb_8c_ab880c52c1f93378088ef1e53763aa916_cgraph">
<area shape="rect" id="node3" href="facnb_8c.html#a080f2d81423b15d9aa4263dad5703865" title="CompareFaces" alt="" coords="119,5,228,35"/><area shape="rect" id="node5" href="mesh2dual_8c.html#a072403ed5e4bbd16fd845d52009d1270" title="Mesh2Dual" alt="" coords="131,58,216,89"/><area shape="rect" id="node9" href="tettri_8c.html#aa5edf1170e954574fb88dff3cafac7c1" title="tetnb" alt="" coords="304,110,355,141"/><area shape="rect" id="node11" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="127,162,220,193"/><area shape="rect" id="node14" href="init_8h.html#ad362da888961433eb994e6a5bc0c818d" title="tetvol" alt="" coords="147,215,200,246"/><area shape="rect" id="node7" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="279,57,380,87"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="facnb_8c_ab880c52c1f93378088ef1e53763aa916_icgraph.png" border="0" usemap="#facnb_8c_ab880c52c1f93378088ef1e53763aa916_icgraph_map" alt=""></div>
<map name="facnb_8c_ab880c52c1f93378088ef1e53763aa916_icgraph_map" id="facnb_8c_ab880c52c1f93378088ef1e53763aa916_icgraph">
<area shape="rect" id="node3" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="119,5,177,35"/><area shape="rect" id="node5" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="227,5,277,35"/></map>
</div>
</p>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="aae3b5f9e645a30cf7e75ffde9302c9c4"></a><!-- doxytag: member="facnb.c::facvert" ref="aae3b5f9e645a30cf7e75ffde9302c9c4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int* <a class="el" href="facnb_8c.html#aae3b5f9e645a30cf7e75ffde9302c9c4">facvert</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="facnb_8c_source.html#l00034">34</a> of file <a class="el" href="facnb_8c_source.html">facnb.c</a>.</p>

<p>Referenced by <a class="el" href="facnb_8c_source.html#l00036">CompareFaces()</a>, and <a class="el" href="facnb_8c_source.html#l00055">FacNB()</a>.</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

